# Guide

Welcome to LaminDB! 👋

```{warning}

Public beta: Currently only recommended for collaborators as we still make breaking changes.

```

```{tip}

- Each page in this guide is a Jupyter Notebook, which you can download [here](https://github.com/laminlabs/lamindb/tree/main/docs/guide).
- You can run these notebooks in hosted versions of JupyterLab, e.g., [Saturn Cloud](https://github.com/laminlabs/run-lamin-on-saturn), Google Vertex AI, and others.
- We recommend using [JupyterLab](https://jupyterlab.readthedocs.io/) for best notebook tracking experience.

```

- 🚀 Wanna jump right in? Follow [LaminDB quickstart](quickstart).
- 🧱 For basic concepts and functionalities, see [Getting started](get-started).
- 📚 Cover more in-depth topics: [Data objects, instance setup, schema, session](advanced).
- 📊 Pipelines vs notebooks? Check out [Track runs](run.md).
- 🧬 LaminDB speaks biology? Check out [Track biology](bio).

📬 [Reach out](https://lamin.ai/contact) to report issues, learn about data modules that connect your assays, pipelines & workflows within our data platform enterprise plan.

```{toctree}
:maxdepth: 1
:hidden:

get-started
advanced
run
bio
```
